package com.ruoyi.system.domain.projectV2;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 招商引资_附件对象 zsyz_fj
 * 
 * @author 博曼
 * @date 2023-02-22
 */
public class ZsyzFj extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 项目ID */
    @Excel(name = "项目ID")
    private Long xmId;

    /** 项目编号 */
    @Excel(name = "项目编号")
    private String xmbh;

    /** 目标数据id */
    @Excel(name = "目标数据id")
    private Long sourceId;

    /** 附件名称 */
    @Excel(name = "附件名称")
    private String fjName;

    /** 附件地址 */
    @Excel(name = "附件地址")
    private String path;

    /** 地址类型 1：首谈信息附件，2：签约信息附件，3：开工信息附件，4：投产信息附件 */
    @Excel(name = "地址类型 1：首谈信息附件，2：签约信息附件，3：开工信息附件，4：投产信息附件")
    private String type;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setXmId(Long xmId) 
    {
        this.xmId = xmId;
    }

    public Long getXmId() 
    {
        return xmId;
    }
    public void setXmbh(String xmbh) 
    {
        this.xmbh = xmbh;
    }

    public String getXmbh() 
    {
        return xmbh;
    }
    public void setSourceId(Long sourceId) 
    {
        this.sourceId = sourceId;
    }

    public Long getSourceId() 
    {
        return sourceId;
    }
    public void setFjName(String fjName) 
    {
        this.fjName = fjName;
    }

    public String getFjName() 
    {
        return fjName;
    }
    public void setPath(String path) 
    {
        this.path = path;
    }

    public String getPath() 
    {
        return path;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("xmId", getXmId())
            .append("xmbh", getXmbh())
            .append("sourceId", getSourceId())
            .append("fjName", getFjName())
            .append("path", getPath())
            .append("type", getType())
            .append("remark", getRemark())
            .toString();
    }
}
